Bug 237722 - Scheduled errata updates fail
Scheduled errata updates fail
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
https://www.redhat.com/archives/rhelv...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-24 18:36 EDT by Nik Lam
Modified: 2013-04-08 05:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 05:26:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nik Lam 2007-04-24 18:36:10 EDT
Description of problem:
rhn_check does not see a new version of the package and exits. This occurs when
updates are scheduled from Software->Errata and also seems to prevent
autoupdates from occuring. However, when an update is scheduled via
Software->Packages->Upgrade it does work.

Version-Release number of selected component (if applicable):
System is RHEL v.5 Server i386, registered to rhn.redhat.com


How reproducible:
For me, it's happening very consistently.


Steps to Reproduce:
1. Install an out-of-date package from CD, e.g. squid-2.6.STABLE6-3.el5
2. run rhn_register

  
Actual results:
rhn_check exits silently, however the rhn interface will report that while the
sheduled event has occurred, the errata has still not been patched


Expected results:
The scheduled event should occur, and the errata patch should be applied.


Additional info:
yum update works fine.
Also, if the update to the package is scheduled using a different method (i.e.
not via errata) it will work.
Comment 1 Charles Dennett 2007-05-24 13:07:45 EDT
I can confirm the exact same problem is happening to me.
Comment 4 Jan Hutař 2010-05-12 02:46:29 EDT
I'm confused here. Bug is reported on RHEL4, but comment #0 talks about RHEL5.

Also I have tested this on RHEL4 and it worked as expected (RHEL4@s390x - Errata.stage):

# rpm -ivh /mnt/redhat/released/RHEL-4/U3/AS/s390x/tree/RedHat/RPMS/squid-2.5.STABLE6-3.4E.12.s390x.rpm 
Preparing...                ########################################### [100%]
   1:squid                  ########################################### [100%]
# up2date -p
Updating package profile...
Updating transaction history...

Now scheduled errata update on Software -> Errata on WebUI.

# rhn_check 

Name                                    Version              Rel               Arch
----------------------------------------------------------------------------------------
squid                                   2.5.STABLE14        1.4E.el4_6.1        s390x 

squid-2.5.STABLE14-1.4E.el4 ########################## Done.                   
Preparing              ########################################### [100%]

Installing...
   1:squid                  ########################################### [100%]
# rpm -q squid
squid-2.5.STABLE14-1.4E.el4_6.1.s390x

So what exactly will be fixed here?
Comment 5 Jan Hutař 2010-05-12 07:30:53 EDT
Hello, asking publicly so anybody can answer.
Comment 11 RHEL Product and Program Management 2013-04-08 05:26:07 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.